> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1businesses membershipuser



## OpenAPI

````yaml /api-reference/openapi.json get /v1/businesses/{id}/membership/user/{userId}
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{id}/membership/user/{userId}:
    get:
      tags:
        - Membership
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: userId
          in: path
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessUsersMembershipResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
components:
  schemas:
    BusinessUsersMembershipResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        businessId:
          type: integer
          format: int64
        userId:
          type: integer
          format: int64
        employeeId:
          type: integer
          format: int64
          nullable: true
        role:
          $ref: '#/components/schemas/ModelsBusinessUsersSBBusinessMembershipRole'
        status:
          $ref: '#/components/schemas/ModelsBusinessUsersSBBusinessMembershipStatus'
        permissions:
          type: array
          items:
            type: string
          nullable: true
        planSummary:
          $ref: '#/components/schemas/BusinessUsersBusinessPlanSummary'
        userInfo:
          $ref: '#/components/schemas/BusinessUsersMembershipUserInfo'
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    MicrosoftAspNetCoreMvcProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    ModelsBusinessUsersSBBusinessMembershipRole:
      enum:
        - ADMINISTRATOR
        - FINANCE_MANAGER
        - ACCOUNTANT
        - MANAGER
        - EMPLOYEE
        - AUDITOR
        - APPROVER
        - MEMBER
        - FINANCE_TEAM
      type: string
    ModelsBusinessUsersSBBusinessMembershipStatus:
      enum:
        - ACTIVE
        - INACTIVE
        - INVITED
        - REFUSED
      type: string
    BusinessUsersBusinessPlanSummary:
      type: object
      properties:
        planId:
          type: integer
          format: int64
          nullable: true
        planName:
          type: string
          nullable: true
        planKey:
          type: string
          nullable: true
        isActive:
          type: boolean
        price:
          type: number
          format: double
          nullable: true
        currency:
          type: string
          nullable: true
        isRecurring:
          type: boolean
        billingPeriod:
          type: string
          nullable: true
        subscriptionId:
          type: integer
          format: int64
          nullable: true
        subscriptionStartDate:
          type: string
          format: date-time
          nullable: true
        subscriptionEndDate:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    BusinessUsersMembershipUserInfo:
      type: object
      properties:
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        phoneNumber:
          type: string
          nullable: true
      additionalProperties: false

````